import 'package:doctor_app_flutter/core/viewModel/SOAP_view_model.dart';
import 'package:doctor_app_flutter/models/patient/patiant_info_model.dart';
import 'package:doctor_app_flutter/routes.dart';
import 'package:doctor_app_flutter/screens/base/base_view.dart';
import 'package:doctor_app_flutter/util/translations_delegate_base.dart';
import 'package:doctor_app_flutter/widgets/patients/profile/PatientProfileButton.dart';
import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';

class ProfileMedicalInfoWidgetSearch extends StatelessWidget {
  String from;
  String to;
  PatiantInformtion patient;
  String patientType;

  ProfileMedicalInfoWidgetSearch(
      {Key key, this.patient, this.patientType, this.from, this.to});

  @override
  Widget build(BuildContext context) {
    return BaseView<SOAPViewModel>(
      onModelReady: (model) async {},
      builder: (_, model, w) => SliverGrid.count(
        crossAxisSpacing: 10,
        mainAxisSpacing: 20,
        crossAxisCount: 2,
        childAspectRatio: 1.5,
        children: [
          PatientProfileButton(
              key: key,
              patient: patient,
              route: RADIOLOGY,
              nameLine1: TranslationBase.of(context).radiology,
              nameLine2: TranslationBase.of(context).service,
              icon: 'radiology-1.png'),
          PatientProfileButton(
              key: key,
              patient: patient,
              route: PATIENT_INSURANCE_APPROVALS,
              nameLine1: TranslationBase.of(context).insurance,
              nameLine2: TranslationBase.of(context).service,
              icon: 'lab.png'),

          PatientProfileButton(
              key: key,
              patient: patient,
              route: LAB_ORDERS,
              nameLine1: TranslationBase.of(context).lab,
              nameLine2: TranslationBase.of(context).result,
              icon: 'lab.png'),
          PatientProfileButton(
              key: key,
              patient: patient,
              from: from,
              to: to,
              nameLine1: TranslationBase.of(context).vital,
              nameLine2: TranslationBase.of(context).signs,
              route: VITAL_SIGN_DETAILS,
              icon: 'heartbeat.png'),

          // PatientProfileButton(
          //     key: key,
          //     patient: patient,
          //     route: PATIENT_ADMISSION_REQUEST,
          //     nameLine1: TranslationBase.of(context).admission,
          //     nameLine2: TranslationBase.of(context).request,
          //     icon: 'heartbeat.png'),
          (int.parse(patientType) == 7 || int.parse(patientType) == 6)
              ? PatientProfileButton(
                  key: key,
                  patient: patient,
                  route: ORDER_PRESCRIPTION,
                  nameLine1: TranslationBase.of(context).orders,
                  nameLine2: TranslationBase.of(context).prescription,
                  icon: 'lab.png')
              : PatientProfileButton(
                  key: key,
                  patient: patient,
                  route: ORDER_PRESCRIPTION_HISTORY,
                  nameLine1: TranslationBase.of(context).orders,
                  nameLine2: TranslationBase.of(context).prescription,
                  icon: 'lab.png'),
          PatientProfileButton(
              key: key,
              patient: patient,
              route: MEDICAL_FILE,
              nameLine1: TranslationBase.of(context).previewHealth,
              nameLine2: TranslationBase.of(context).summaryReport,
              icon: 'radiology-1.png'),
          PatientProfileButton(
              key: key,
              patient: patient,
              route: PATIENT_ECG,
              nameLine1: TranslationBase.of(context).patient,
              nameLine2: "ECG",
              icon: 'lab.png'),
          PatientProfileButton(
              key: key,
              patient: patient,
              route: SHOW_SICKLEAVE,
              nameLine1: TranslationBase.of(context).patientSick,
              nameLine2: TranslationBase.of(context).leave,
              icon: 'sick_leaves_icons.png'),
          PatientProfileButton(
              key: key,
              patient: patient,
              route: PROGRESS_NOTE,
              nameLine1: TranslationBase.of(context).progress,
              nameLine2: TranslationBase.of(context).note,
              icon: 'heartbeat.png'),
        ],
      ),
    );
  }
}
